rpcbind_0.2.3-0.6_amd64.deb


Advertisement

Description

rpcbind - converts RPC program numbers into universal addresses

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name rpcbind
Package version 0.2.3
Package release 0.6
Package architecture amd64
Package type deb
Installed size 143 B
Download size 39.69 KB
Official Mirror archive.ubuntu.com
The rpcbind utility is a server that converts RPC program numbers
into universal addresses.

Alternatives

Package Version Architecture Repository
rpcbind_0.2.3-0.6_i386.deb 0.2.3 i386 Ubuntu Main
rpcbind - - -

Requires

Name Value
init-system-helpers >= 1.18~
libc6 >= 2.16
libsystemd0 -
libtirpc1 >= 0.2.5-1.2~
libwrap0 >= 7.6-4~
lsb-base >= 4.1+Debian3

Provides

Name Value
portmap -

Conflicts

Name Value
portmap -

Replaces

Name Value
libc-bin << 2.16

Download

Type URL
Binary Package rpcbind_0.2.3-0.6_amd64.deb
Source Package rpcbind

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install rpcbind deb package:
    # sudo apt-get install rpcbind

Files

Path
/etc/init/portmap-wait.conf
/etc/init/rpcbind-boot.conf
/etc/init/rpcbind.conf
/etc/init.d/rpcbind
/etc/insserv.conf.d/rpcbind
/lib/systemd/system/portmap.service
/lib/systemd/system/rpcbind.service
/lib/systemd/system/rpcbind.socket
/sbin/rpcbind
/usr/lib/tmpfiles.d/rpcbind.conf
/usr/sbin/rpcinfo
/usr/share/doc/rpcbind/changelog.Debian.gz
/usr/share/doc/rpcbind/copyright
/usr/share/lintian/overrides/rpcbind
/usr/share/man/man7/rpcinfo.7.gz
/usr/share/man/man8/rpcbind.8.gz
/usr/share/man/man8/rpcinfo.8.gz

Changelog

2017-05-05 - Salvatore Bonaccorso <carnil@debian.org>
rpcbind (0.2.3-0.6) unstable; urgency=high
* Non-maintainer upload.
* CVE-2017-8779: Memory leak when failing to parse XDR strings or bytearrays
(Closes: #861835)
* Bump runtime dependency on libtirpc1.
Bump Depends on libtirpc1 (>= 0.2.5-1.2~) to pull the fixes on libtirpc1
for CVE-2017-8779.
2016-06-17 - Laurent Bigonville <bigon@debian.org>
rpcbind (0.2.3-0.5) unstable; urgency=medium
* Non-maintainer upload.
* Do not create empty /run/rpcbind/rpcbind.xdr or /run/rpcbind/portmap.xdr
files during startup if they don't exist, it makes the daemon generate a
warning.
2016-05-31 - Laurent Bigonville <bigon@debian.org>
rpcbind (0.2.3-0.4) unstable; urgency=medium
* Non-maintainer upload.
* debian/rcpbind.service: Add WantedBy=multi-user.target, this should ensure
that rpcbind daemon is started before nis (Closes: #805167, LP: #1558196)
2016-05-31 - Laurent Bigonville <bigon@debian.org>
rpcbind (0.2.3-0.3) unstable; urgency=medium
* Non-maintainer upload.
* debian/control: Drop dependency on insserv | file-rc and versioned
dependency on initscripts package (Closes: #804937, #804980)
* debian/rcpbind.service: Add Before/Wants=rpcbind.target so the .target is
started as expected when rpcbind is available.
* debian/rpcbind.socket: Add "DefaultDependencies=no" so the socket is
available at really early boot (Closes: #806336, LP: #1580523)
* debian/init.d: Fix LSB init output (Closes: #823081)
* debian/rcpbind.service: Add a Documentation key
2015-11-10 - Laurent Bigonville <bigon@debian.org>
rpcbind (0.2.3-0.2) unstable; urgency=medium
* Non-maintainer upload.
* debian/rpcbind.service: Set Type=notify and ask the daemon to not
daemonize itself, rpcbind daemon is calling sd_notify() when ready.
2015-11-10 - Laurent Bigonville <bigon@debian.org>
rpcbind (0.2.3-0.1) unstable; urgency=low
* Non-maintainer upload.
* New upstream release
- Enable systemd socket activation support (Closes: #679716)
* Override init.d-script-not-included-in-package and
init.d-script-not-marked-as-conffile lintian warnings/errors
* Add systemd and tmpfiles.d files (Closes: #748074)
* Add 07-Delete-the-unix-socket-only-if-we-have-created-it.patch: rpcbind
daemon shouldn't try to remove its socket if it as been socket activated
* Include some upstart jobs changes from Ubuntu (Closes: #747134)
- debian/rpcbind.rpcbind-boot.upstart: document that this job emits the
start-rpcbind event.
- Don't pass -w to rpcbind on boot up, since the files won't be there to
be read.
2015-09-23 - Salvatore Bonaccorso <carnil@debian.org>
rpcbind (0.2.1-6.1) unstable; urgency=high
* Non-maintainer upload.
* Add CVE-2015-7236.patch patch.
CVE-2015-7236: Memory corruption in PMAP_CALLIT code leading to denial
of service. (Closes: #799307)
2014-08-18 - Anibal Monsalve Salazar <anibal@debian.org>
rpcbind (0.2.1-6) unstable; urgency=medium
* Upload to unstable.
* Fix "fails to upgrade from 'wheezy' - trying to overwrite
/usr/share/man/man8/rpcinfo.8.gz".
Breaks+Replaces: libc-bin (<< 2.16).
Don't depend on libc-bin (>= 2.16).
Closes: #734903.
* Remove debian/source/options.
2014-08-02 - Anibal Monsalve Salazar <anibal@debian.org>
rpcbind (0.2.1-5) experimental; urgency=medium
* Get rid of libgssglue1.
Build-depend on libtirpc-dev (>= 0.2.4-2~).
Depend on libtirpc1 (>= 0.2.4-2~).
2014-07-16 - Anibal Monsalve Salazar <anibal@debian.org>
rpcbind (0.2.1-4) unstable; urgency=medium
* Revert Roger Leigh's change to LSB initscript runlevels.
Closes: #739053.
* Refresh patches.

See Also

Package Description
rrdtool_1.7.0-1build1_amd64.deb time-series data storage and display system (programs)
rsync_3.1.2-2.1ubuntu1_amd64.deb fast, versatile, remote (and local) file-copying tool
rsyslog_8.32.0-1ubuntu4_amd64.deb reliable system and kernel logging daemon
rtkit_0.11-6_amd64.deb Realtime Policy and Watchdog Daemon
ruby-all-dev_2.5.1_amd64.deb Ruby development environment (all versions supported in Debian)
ruby-dev_2.5.1_amd64.deb Header files for compiling extension modules for Ruby (default version)
ruby-did-you-mean_1.2.0-2_all.deb smart error messages for Ruby > 2.3
ruby-minitest_5.10.3-1_all.deb Ruby test tools supporting TDD, BDD, mocking, and benchmarking
ruby-net-telnet_0.1.1-2_all.deb telnet client library
ruby-power-assert_0.3.0-1_all.deb library showing values of variables and method calls in an expression
ruby-test-unit_3.2.5-1_all.deb unit testing framework for Ruby
ruby2.5-dev_2.5.1-1ubuntu1_amd64.deb Header files for compiling extension modules for the Ruby 2.5
ruby2.5-doc_2.5.1-1ubuntu1_all.deb Documentation for Ruby 2.5
ruby2.5_2.5.1-1ubuntu1_amd64.deb Interpreter of object-oriented scripting language Ruby
ruby_2.5.1_amd64.deb Interpreter of object-oriented scripting language Ruby (default version)
Advertisement
Advertisement